clang 10.0.0git

Public Member Functions | List of all members
clang::ASTReader::ListenerScope Class Reference

RAII object to temporarily add an AST callback listener. More...

`#include "clang/Serialization/ASTReader.h"`

## Public Member Functions
| ListenerScope (ASTReader &Reader, std::unique_ptr< ASTReaderListener > L)
| ~ListenerScope ()

## Detailed Description

RAII object to temporarily add an AST callback listener.

Definition at line 1584 of file ASTReader.h.

## Constructor & Destructor Documentation

## ◆ ListenerScope()

clang::ASTReader::ListenerScope::ListenerScope | ( | ASTReader & | Reader,
|  | std::unique_ptr< ASTReaderListener > | L
| ) |  |
| inline

Definition at line 1589 of file ASTReader.h.

References clang::ASTReader::setListener(), and clang::ASTReader::takeListener().

## ◆ ~ListenerScope()

clang::ASTReader::ListenerScope::~ListenerScope | ( |  | ) |
| inline

Definition at line 1600 of file ASTReader.h.

References clang::ASTReader::setListener(), and clang::ASTReader::takeListener().

The documentation for this class was generated from the following file:

- include/clang/Serialization/ASTReader.h